org.springframework.cloud.dataflow.server.batch

## Interface SearchableStepExecutionDao

- All Superinterfaces:
    org.springframework.batch.core.repository.dao.StepExecutionDao
  All Known Implementing Classes:
    JdbcSearchableStepExecutionDao

      public interface SearchableStepExecutionDao
      extends org.springframework.batch.core.repository.dao.StepExecutionDao

  Extension of the `StepExecutionDao` interface to add additional search features.
  Author:
    Dave Syer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countStepExecutions(String jobName, String stepName)` Count all the step executions for a given step name pattern.
    `int` | `countStepExecutionsForJobExecution(long jobExecutionId)` Count all the step executions for a given job execution.
    `Collection<org.springframework.batch.core.StepExecution>` | `findStepExecutions(String jobName, String stepName, int start, int count)` Find all the step executions for a given step name, or step name pattern (with wildcards specified as '*') sorted in descending order of id.
    `Collection<String>` | `findStepNamesForJobExecution(String jobName, String excludesPattern)` Find all the names of steps that have been executed as part of this job.

    - ### Methods inherited from interface org.springframework.batch.core.repository.dao.StepExecutionDao

      `addStepExecutions, countStepExecutions, getLastStepExecution, getStepExecution, saveStepExecution, saveStepExecutions, updateStepExecution`

- - ### Method Detail

    - #### findStepNamesForJobExecution

          Collection<String> findStepNamesForJobExecution(String jobName,
                                                          String excludesPattern)

      Find all the names of steps that have been executed as part of this job. Implementations should remove step names matching the pattern provided.
      Parameters:
        `jobName` - the name of the job to search for
        `excludesPattern` - a pattern for step names to exclude
      Returns:
        the names of step executions from job executions in the repository

    - #### findStepExecutions

          Collection<org.springframework.batch.core.StepExecution> findStepExecutions(String jobName,
                                                                                      String stepName,
                                                                                      int start,
                                                                                      int count)

      Find all the step executions for a given step name, or step name pattern (with wildcards specified as '*') sorted in descending order of id.
      Parameters:
        `jobName` - the job name or pattern
        `stepName` - the step name or pattern
        `start` - the start index of the step executions to return
        `count` - the maximum number of step executions to return
      Returns:
        a collection of step executions

    - #### countStepExecutions

          int countStepExecutions(String jobName,
                                  String stepName)

      Count all the step executions for a given step name pattern.
      Parameters:
        `jobName` - the job name pattern
        `stepName` - the step name pattern.
      Returns:
        the total number of step executions in the repository matching the pattern

    - #### countStepExecutionsForJobExecution

          int countStepExecutionsForJobExecution(long jobExecutionId)

      Count all the step executions for a given job execution.
      Parameters:
        `jobExecutionId` - the job execution to retrieve count from.
      Returns:
        the total number of step executions in the repository for the job execution

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.